gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.AccelKey

Contents

- Exported types
- Methods
- Properties
  - accelFlags
  - accelKey
  - accelMods

Description

No description available in the introspection data.

Synopsis

- newtype AccelKey = AccelKey (ManagedPtr AccelKey)
- newZeroAccelKey :: MonadIO m => m AccelKey
- getAccelKeyAccelFlags :: MonadIO m => AccelKey -> m Word32
- setAccelKeyAccelFlags :: MonadIO m => AccelKey -> Word32 -> m ()
- getAccelKeyAccelKey :: MonadIO m => AccelKey -> m Word32
- setAccelKeyAccelKey :: MonadIO m => AccelKey -> Word32 -> m ()
- getAccelKeyAccelMods :: MonadIO m => AccelKey -> m [ModifierType]
- setAccelKeyAccelMods :: MonadIO m => AccelKey -> [ModifierType] -> m ()

# Exported types

newtype AccelKey Source #

Memory-managed wrapper type.

Constructors

AccelKey (ManagedPtr AccelKey) |

#### Instances

Instances details

Eq AccelKey Source # |
Instance details Defined in GI.Gtk.Structs.AccelKey Methods (==) :: AccelKey -> AccelKey -> Bool Source # (/=) :: AccelKey -> AccelKey -> Bool Source #
BoxedPtr AccelKey Source # |
Instance details Defined in GI.Gtk.Structs.AccelKey Methods boxedPtrCopy :: AccelKey -> IO AccelKey Source # boxedPtrFree :: AccelKey -> IO () Source #
CallocPtr AccelKey Source # |
Instance details Defined in GI.Gtk.Structs.AccelKey Methods boxedPtrCalloc :: IO (Ptr AccelKey) Source #
ManagedPtrNewtype AccelKey Source # |
Instance details Defined in GI.Gtk.Structs.AccelKey Methods toManagedPtr :: AccelKey -> ManagedPtr AccelKey Source #
tag ~ 'AttrSet => Constructible AccelKey tag Source # |
Instance details Defined in GI.Gtk.Structs.AccelKey Methods new :: MonadIO m => (ManagedPtr AccelKey -> AccelKey) -> [AttrOp AccelKey tag] -> m AccelKey Source #

newZeroAccelKey :: MonadIO m => m AccelKey Source #

Construct a `AccelKey` struct initialized to zero.

# Methods

# Properties

## accelFlags

The accelerator flags

getAccelKeyAccelFlags :: MonadIO m => AccelKey -> m Word32 Source #

Get the value of the “`accel_flags`” field. When overloading is enabled, this is equivalent to

    get accelKey #accelFlags

setAccelKeyAccelFlags :: MonadIO m => AccelKey -> Word32 -> m () Source #

Set the value of the “`accel_flags`” field. When overloading is enabled, this is equivalent to

    set accelKey [ #accelFlags := value ]

## accelKey

The accelerator keyval

getAccelKeyAccelKey :: MonadIO m => AccelKey -> m Word32 Source #

Get the value of the “`accel_key`” field. When overloading is enabled, this is equivalent to

    get accelKey #accelKey

setAccelKeyAccelKey :: MonadIO m => AccelKey -> Word32 -> m () Source #

Set the value of the “`accel_key`” field. When overloading is enabled, this is equivalent to

    set accelKey [ #accelKey := value ]

## accelMods

The accelerator modifiers

getAccelKeyAccelMods :: MonadIO m => AccelKey -> m [ModifierType] Source #

Get the value of the “`accel_mods`” field. When overloading is enabled, this is equivalent to

    get accelKey #accelMods

setAccelKeyAccelMods :: MonadIO m => AccelKey -> [ModifierType] -> m () Source #

Set the value of the “`accel_mods`” field. When overloading is enabled, this is equivalent to

    set accelKey [ #accelMods := value ]